import { IExplanationMap } from "@zowe/imperative";
/**
 * Interface for z/OSMF API response.
 * @export
 * @interface IPublishedTemplate
 */
export interface IPublishedTemplate {
    /**
     * Name of a template.
     * @type {string}
     * @memberof IPublishedTemplate
     */
    name: string;
    /**
     * Version of a template.
     * @type {string}
     * @memberof IPublishedTemplate
     */
    version: string;
    /**
     * Template owner ID.
     * @type {string}
     * @memberof IPublishedTemplate
     */
    owner: string;
    /**
     * Status of a template.
     * @type {string}
     * @memberof IPublishedTemplate
     */
    state: string;
    /**
     * Description of a template.
     * @type {string}
     * @memberof IPublishedTemplate
     */
    description: string;
    /**
     * Generated name for a template.
     * @type {string}
     * @memberof IPublishedTemplate
     */
    "generated-name": string;
    /**
     * The ID that identifies a template.
     * @type {string}
     * @memberof IPublishedTemplate
     */
    "object-id": string;
    /**
     * The domain the template is associated with.
     * @type {string}
     * @memberof IPublishedTemplate
     */
    "domain-name": string;
    /**
     * Name of the software that is being provisioned.
     * @type {string}
     * @memberof IPublishedTemplate
     */
    "software-name": string;
}
/**
 * Main explanation map object for summary output
 * @type {IExplanationMap}
 * @memberof IPublishedTemplate
 */
export declare const explainPublishedTemplateSummary: IExplanationMap;
/**
 * Main explanation map object for full output
 * @type {IExplanationMap}
 * @memberof IPublishedTemplate
 */
export declare const explainPublishedTemplateFull: IExplanationMap;
