/**
 * Interface for z/OSMF API response.
 * @export { _class as class }
 * @interface IJobStatus
 */
export interface IJobStatus {
    /**
     * Job completion code.
     * @type {string}
     * @memberof IJobStatus
     */
    retcode?: string;
    /**
     * Job name.
     * @type {string}
     * @memberof IJobStatus
     */
    jobname: string;
    /**
     * Job status.
     * @type {string}
     * @memberof IJobStatus
     */
    status?: string;
    /**
     * User ID associated with the job.
     * @type {string}
     * @memberof IJobStatus
     */
    owner: string;
    /**
     * The primary or secondary JES subsystem.
     * @type {string}
     * @memberof IJobStatus
     */
    subsystem?: string;
    /**
     * Job execution class.
     * @type {string}
     * @export { _class as class }
     * @memberof IJobStatus
     */
    _class: string;
    /**
     * Job type.
     * @type {string}
     * @memberof IJobStatus
     */
    type: string;
    /**
     * Job identifier.
     * @type {string}
     * @memberof IJobStatus
     */
    jobid: string;
}
