import { IStepInfo } from "./IStepInfo";
/**
 * Interface for the step summary
 *
 * @export
 * @interface IStepSummary
 */
export interface IStepSummary extends IStepInfo {
    /**
     * ID of the step
     *
     * @type {string}
     * @memberof IStepSummary
     */
    stepNumber: string;
    /**
     * Step name
     *
     * @type {string}
     * @memberof IStepSummary
     */
    name: string;
    /**
     * State of the step
     *
     * @type {string}
     * @memberof IStepSummary
     */
    state: string;
    /**
     * Depends on the type of the step.
     * It can contain JOBID, REST response, etc
     *
     * @type {string}
     * @memberof IStepSummary
     */
    misc?: string;
}
