"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.JOB_STATUS = {
    // Active indicates that the job is running/executing.
    ACTIVE: "ACTIVE",
    // Output indicates that the job has finished/failed (and potentially has spool output).
    OUTPUT: "OUTPUT",
    // Input indicates that the job is awaiting execution.
    INPUT: "INPUT"
};
// The "order" indicates the logical order of job progression within the system. Used to determine if the job will
// NEVER enter the status that is requested on the API (e.g. if the status is OUTPUT, the job will never be ACTIVE)
exports.JOB_STATUS_ORDER = ["INPUT", "ACTIVE", "OUTPUT"];
//# sourceMappingURL=JobStatus.js.map