import { IZosmfPingResponse } from "../../../../zostso";
import { ImperativeError } from "@zowe/imperative";
export interface IPingResponse {
    /**
     * True if the command was issued and the responses were collected.
     * @type {boolean}
     * @memberOf IPingResponse
     */
    success: boolean;
    /**
     * Response from z/OSMF to ping rest call
     * @type (IZosmfPingResponse}
     * @memberOf IPingResponse
     */
    zosmfPingResponse: IZosmfPingResponse;
    /**
     * If an error occurs, returns the ImperativeError, which contains cause error.
     * @type {ImperativeError}
     * @memberOf IConsoleResponse
     */
    failureResponse?: ImperativeError;
    /**
     * Servlet key from IZosmfPingResponse
     * @type (string}
     * @memberOf IPingResponse
     */
    servletKey: string;
}
