import { Arguments } from "yargs";
export declare class LoggerUtils {
    static readonly CENSOR_RESPONSE = "****";
    static CENSORED_OPTIONS: string[];
    /**
     * Copy and censor any sensitive CLI arguments before logging/printing
     * @param {string[]} args
     * @returns {string[]}
     */
    static censorCLIArgs(args: string[]): string[];
    /**
     * Copy and censor a yargs argument object before logging
     * @param {yargs.Arguments} args the args to censor
     * @returns {yargs.Arguments}  a censored copy of the arguments
     */
    static censorYargsArguments(args: Arguments): Arguments;
}
