"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
var IconId;
(function (IconId) {
    IconId["document"] = "document";
    IconId["documentBinary"] = "documentBinary";
    IconId["downloadedDocument"] = "downloadedDocument";
    IconId["documentBinaryDownloaded"] = "documentBinaryDownloaded";
})(IconId = exports.IconId || (exports.IconId = {}));
var IconHierarchyType;
(function (IconHierarchyType) {
    IconHierarchyType["base"] = "base";
    IconHierarchyType["derived"] = "derived";
})(IconHierarchyType = exports.IconHierarchyType || (exports.IconHierarchyType = {}));
const items = [
    require("./items/document"),
    require("./items/documentBinary"),
    require("./items/downloadedDocument"),
    require("./items/documentBinaryDownloaded")
].map((item) => item.default);
function getIconById(id) {
    return items.find((item) => item.id === id);
}
exports.getIconById = getIconById;
function getIconByNode(node) {
    const targetItems = items.filter((item) => item.check(node));
    if (targetItems.some((item) => item.type === IconHierarchyType.derived)) {
        return targetItems.filter((item) => item.type === IconHierarchyType.derived).pop();
    }
    else {
        return targetItems.pop();
    }
}
exports.getIconByNode = getIconByNode;

//# sourceMappingURL=index.js.map
